<?php
/**
 * @package     Joomla.Site
 * @subpackage  Aquilo Template
 */

defined('_JEXEC') or die;



//parameters
$footer_menu = '<jdoc:include type="modules" name="footer-menu" style="" />';
$footer_menu_on = $this->countModules('footer-menu');;
$footer_content = $this->params->get('footer_content');
$footer_two_columns_layout = $this->params->get('footer_two_columns_layout');





//display footer element if only one element of footer is in use
if(!$footer_menu_on && $footer_content !=''){
	$footer_element = $footer_content;
}
elseif($footer_menu_on && $footer_content ==''){
	$footer_element = $footer_menu;
}




?>


<footer id="footer">
	<div class="container"> 
	<div class="clear separator"></div>
		<?php
		
		//footer content and menu are in use
		if ($footer_menu_on && $footer_content !=''){ ?>
        
        
			<?php 
            if ($footer_two_columns_layout=='c,12') { ?>
                      
            <div class="grid_12"><div class="block"><?php echo $footer_content; ?></div></div>
            <div class="grid_12"><div class="block"><?php echo $footer_menu; ?></div></div>		
            
            <?php
            }
            
            elseif ($footer_two_columns_layout=='12,c') { ?>         	      
            
            <div class="grid_12"><div class="block"><?php echo $footer_menu; ?></div></div>	
            <div class="grid_12"><div class="block"><?php echo $footer_content; ?></div></div>	
            
            <?php
            } 
            
            
            elseif ($footer_two_columns_layout=='c,18') { ?>   	
            
            <div class="grid_6"><div class="block"><?php echo $footer_content; ?></div></div>	
            <div class="grid_18"><div class="block"><?php echo $footer_menu; ?></div></div>	
            
            <?php
            }
            
            
            elseif ($footer_two_columns_layout=='18,c') { ?>       	
            
            <div class="grid_18"><div class="block"><?php echo $footer_menu; ?></div></div>	
            <div class="grid_6"><div class="block"><?php echo $footer_content; ?></div></div>
            
            <?php
            }
            
            
            elseif ($footer_two_columns_layout=='c,16') { ?>   	
            
            <div class="grid_8"><div class="block"><?php echo $footer_content; ?></div></div>	
            <div class="grid_16"><div class="block"><?php echo $footer_menu; ?></div></div>	
            
            <?php
            }
            
            
            elseif ($footer_two_columns_layout=='16,c') { ?>       	
            
            <div class="grid_16"><div class="block"><?php echo $footer_menu; ?></div></div>	
            <div class="grid_8"><div class="block"><?php echo $footer_content; ?></div></div>
            
            <?php
            }	
            ?>
		

		<?php 
		} 
		
		elseif ($footer_menu_on || $footer_content !=''){ ?>
        
        	<div class="grid_24"><div class="block"><?php echo $footer_element; ?></div></div>
        
        <?php 
		} 
		?>

	<div class="clear"></div>
	</div>	
</footer>