<?php
/**
 * @package     Joomla.Site
 * @subpackage  Aquilo Template
 */

defined('_JEXEC') or die;


//before-content modules columns
$main_content =	'<jdoc:include type="component" />';
$sidebar_a = $this->countModules('sidebar-a');
$sidebar_b = $this->countModules('sidebar-b');


//defaine style for main content "block" div
$main_content_block_style = 'style="padding-bottom:0;"';


//columns layout
$main_content_three_columns_layout = $this->params->get('main_content_three_columns_layout');
$main_content_two_columns_layout = $this->params->get('main_content_two_columns_layout');
?>


<section id="content">
	<div class="container">	
				
					
		<?php 
		
		//two sidebars are in use
		if ($sidebar_a && $sidebar_b) {
        	           
            
            if($main_content_three_columns_layout=='8,c,8') { ?>
			
            <div class="grid_8 sidebar-a"><div class="block"><jdoc:include type="modules" name="sidebar-a" style="block" /></div></div>
			<div class="grid_8"><div class="block" <?php echo $main_content_block_style; ?>><?php echo $main_content; ?></div></div>
			<div class="grid_8 sidebar-b"><div class="block"><jdoc:include type="modules" name="sidebar-b" style="block" /></div></div>
           
            <?php }
			
			elseif($main_content_three_columns_layout=='c,6,6') { ?>			
            
			<div class="grid_12"><div class="block" <?php echo $main_content_block_style; ?>><?php echo $main_content; ?></div></div>
            <div class="grid_6 sidebar-a"><div class="block"><jdoc:include type="modules" name="sidebar-a" style="block" /></div></div>
			<div class="grid_6 sidebar-b"><div class="block"><jdoc:include type="modules" name="sidebar-b" style="block" /></div></div>
            
			<?php }	
			
			elseif($main_content_three_columns_layout=='6,c,6') { ?>			
            
			<div class="grid_6 sidebar-a"><div class="block"><jdoc:include type="modules" name="sidebar-a" style="block" /></div></div>
            <div class="grid_12"><div class="block" <?php echo $main_content_block_style; ?>><?php echo $main_content; ?></div></div>            
			<div class="grid_6 sidebar-b"><div class="block"><jdoc:include type="modules" name="sidebar-b" style="block" /></div></div>
            
			<?php }
			
			elseif($main_content_three_columns_layout=='6,6,c') { ?>			
            
			<div class="grid_6 sidebar-a"><div class="block"><jdoc:include type="modules" name="sidebar-a" style="block" /></div></div>
			<div class="grid_6 sidebar-b"><div class="block"><jdoc:include type="modules" name="sidebar-b" style="block" /></div></div>
            <div class="grid_12"><div class="block" <?php echo $main_content_block_style; ?>><?php echo $main_content; ?></div></div>            
			
			<?php }
			
			elseif($main_content_three_columns_layout=='8,6,c') { ?>			
            
			<div class="grid_8 sidebar-a"><div class="block"><jdoc:include type="modules" name="sidebar-a" style="block" /></div></div>
			<div class="grid_6 sidebar-b"><div class="block"><jdoc:include type="modules" name="sidebar-b" style="block" /></div></div>
            <div class="grid_10"><div class="block" <?php echo $main_content_block_style; ?>><?php echo $main_content; ?></div></div>            
			
			<?php }
			
			elseif($main_content_three_columns_layout=='c,6,8') { ?>			
            
			<div class="grid_10"><div class="block" <?php echo $main_content_block_style; ?>><?php echo $main_content; ?></div></div>
            <div class="grid_6 sidebar-a"><div class="block"><jdoc:include type="modules" name="sidebar-a" style="block" /></div></div>
			<div class="grid_8 sidebar-b"><div class="block"><jdoc:include type="modules" name="sidebar-b" style="block" /></div></div>                       
			
			<?php }	?>
            
            
		
		<?php } 
        
        
        //two sidebars are in use
		elseif ($sidebar_a || $sidebar_b) {
        	           
            
			//check wich sidebar is in use and show it
			if($sidebar_a && !$sidebar_b) {				
					$sidebar = 'sidebar-a';
					$sidebar_class = 'sidebar-a';
				}
			elseif(!$sidebar_a && $sidebar_b) {
					$sidebar = 'sidebar-b';
					$sidebar_class = 'sidebar-b';
				}
			
			
            if($main_content_two_columns_layout=='c,12') { ?>
			
            <div class="grid_12"><div class="block" <?php echo $main_content_block_style; ?>><?php echo $main_content; ?></div></div>
            <div class="grid_12 <?php echo $sidebar_class; ?>"><div class="block"><jdoc:include type="modules" name="<?php echo $sidebar ?>" style="block" /></div></div>
			           
            <?php } 
			
			elseif($main_content_two_columns_layout=='12,c') { ?>			
            
            <div class="grid_12 <?php echo $sidebar_class; ?>"><div class="block"><jdoc:include type="modules" name="<?php echo $sidebar ?>" style="block" /></div></div>
            <div class="grid_12"><div class="block" <?php echo $main_content_block_style; ?>><?php echo $main_content; ?></div></div>
			           
            <?php }
			
			elseif($main_content_two_columns_layout=='c,6') { ?>			
            
            <div class="grid_18"><div class="block" <?php echo $main_content_block_style; ?>><?php echo $main_content; ?></div></div>
            <div class="grid_6 <?php echo $sidebar_class; ?>"><div class="block"><jdoc:include type="modules" name="<?php echo $sidebar ?>" style="block" /></div></div>
			           
            <?php }
			
			elseif($main_content_two_columns_layout=='6,c') { ?>			
            
            <div class="grid_6 <?php echo $sidebar_class; ?>"><div class="block"><jdoc:include type="modules" name="<?php echo $sidebar ?>" style="block" /></div></div>
            <div class="grid_18"><div class="block" <?php echo $main_content_block_style; ?>><?php echo $main_content; ?></div></div>
			           
            <?php }
			
			elseif($main_content_two_columns_layout=='c,8') { ?>			
            
            <div class="grid_16"><div class="block" <?php echo $main_content_block_style; ?>><?php echo $main_content; ?></div></div>
            <div class="grid_8 <?php echo $sidebar_class; ?>"><div class="block"><jdoc:include type="modules" name="<?php echo $sidebar ?>" style="block" /></div></div>
			           
            <?php }
			
			elseif($main_content_two_columns_layout=='8,c') { ?>			
            
            <div class="grid_8 <?php echo $sidebar_class; ?>"><div class="block"><jdoc:include type="modules" name="<?php echo $sidebar ?>" style="block" /></div></div>
            <div class="grid_16"><div class="block" <?php echo $main_content_block_style; ?>><?php echo $main_content; ?></div></div>
			           
            <?php }
			
			?>
			
            
            
		
		<?php }
		else { ?>
			
			<div class="grid_24"><div class="block" <?php echo $main_content_block_style; ?>><?php echo $main_content; ?></div></div>
			
            
         <?php
		  }		
		 ?>
         
		<div class="clear"></div>
	</div>	
</section>