<?php
/**
 * @package     Joomla.Site
 * @subpackage  Aquilo Template
 */


defined('_JEXEC') or die;


/*load fonts parameters*/
$general_google_font = $this->params->get('general_google_font');
$general_google_font_family_white_space = $this->params->get('general_google_font_family');
$general_font_family = $this->params->get('general_font_family');
$general_font_size = $this->params->get('general_font_size');

$headings_google_font = $this->params->get('headings_google_font');
$headings_google_font_family_white_space = $this->params->get('headings_google_font_family');
$headings_font_family = $this->params->get('headings_font_family');
$h1_font_size = $this->params->get('h1_font_size');
$h2_font_size = $this->params->get('h2_font_size');
$h3_font_size = $this->params->get('h3_font_size');
$h4_font_size = $this->params->get('h4_font_size');
$h5_font_size = $this->params->get('h5_font_size');
$h6_font_size = $this->params->get('h6_font_size');	
$headings_font_weight = $this->params->get('headings_font_weight');
$headings_text_transform = $this->params->get('headings_text_transform');
$headings_font_style = $this->params->get('headings_font_style');

$menu_google_font = $this->params->get('menu_google_font');
$menu_google_font_family_white_space = $this->params->get('menu_google_font_family');
$menu_font_family = $this->params->get('menu_font_family');
$menu_font_weight = $this->params->get('menu_font_weight');
$menu_text_transform = $this->params->get('menu_text_transform');
$menu_font_style = $this->params->get('menu_font_style');
$menu_font_size = $this->params->get('menu_font_size');

$submenu_google_font = $this->params->get('submenu_google_font');
$submenu_google_font_family_white_space = $this->params->get('submenu_google_font_family');
$submenu_font_family = $this->params->get('submenu_font_family');
$submenu_font_weight = $this->params->get('submenu_font_weight');
$submenu_text_transform = $this->params->get('submenu_text_transform');
$submenu_font_style = $this->params->get('submenu_font_style');
$submenu_font_size = $this->params->get('submenu_font_size');


//change white space in name of google fonts "+"
$general_google_font_family = str_replace(" ", "+", $general_google_font_family_white_space);
$headings_google_font_family = str_replace(" ", "+", $headings_google_font_family_white_space);
$menu_google_font_family = str_replace(" ", "+", $menu_google_font_family_white_space);
$submenu_google_font_family = str_replace(" ", "+", $submenu_google_font_family_white_space);




/*-----------------------------------------------------------------------------------*/
/*	Google fonts stylesheets
/*-----------------------------------------------------------------------------------*/
//general fonts

		
if ($general_google_font == 1) {
	$doc->addStyleSheet('http://fonts.googleapis.com/css?family='.$general_google_font_family.'');	
	$general_font = $general_google_font_family_white_space;
}
else {
	$general_font = $general_font_family;	
}


		
//headings fonts					
if ($headings_google_font == 1) {
	if($general_google_font == 1){
		if($headings_google_font_family !== $general_google_font_family) {
			$doc->addStyleSheet('http://fonts.googleapis.com/css?family='.$headings_google_font_family.'');
		}
	}
	else {
		$doc->addStyleSheet('http://fonts.googleapis.com/css?family='.$headings_google_font_family.'');
	}
	$headings_font = $headings_google_font_family_white_space;
}
else {
	$headings_font = $headings_font_family;
} 



		
//menu fonts				
if ($menu_google_font == 1) {			
			
	if($general_google_font == 1 && $headings_google_font == 1) {
		if($menu_google_font_family !== $general_google_font_family && $menu_google_font_family !== $headings_google_font_family) {
			$doc->addStyleSheet('http://fonts.googleapis.com/css?family='.$menu_google_font_family.'');
		}
	}
			
	elseif($general_google_font == 1 && $headings_google_font == 0) {
		if($menu_google_font_family !== $general_google_font_family) {
			$doc->addStyleSheet('http://fonts.googleapis.com/css?family='.$menu_google_font_family.'');
		}
	}
						
	elseif($general_google_font == 0 && $headings_google_font == 1) {
		if($menu_google_font_family !== $headings_google_font_family) {
			$doc->addStyleSheet('http://fonts.googleapis.com/css?family='.$menu_google_font_family.'');
		}
	}
			
	else {
		$doc->addStyleSheet('http://fonts.googleapis.com/css?family='.$menu_google_font_family.'');
	}
	$menu_font = $menu_google_font_family_white_space;
}
else {
	$menu_font = $menu_font_family;	
}
		
		
		
		
		
//submenu fonts				
if ($submenu_google_font == 1) {			
			
	if($general_google_font == 1 && $headings_google_font == 1 && $menu_google_font == 1) {
		if($submenu_google_font_family !== $general_google_font_family && $submenu_google_font_family !== $headings_google_font_family && $submenu_google_font_family !== $menu_google_font_family) {
			$doc->addStyleSheet('http://fonts.googleapis.com/css?family='.$submenu_google_font_family.'');
		}
	}
			
	elseif($general_google_font == 1 && $headings_google_font == 1 && $menu_google_font == 0) {
		if($submenu_google_font_family !== $general_google_font_family && $submenu_google_font_family !== $headings_google_font_family) {
			$doc->addStyleSheet('http://fonts.googleapis.com/css?family='.$submenu_google_font_family.'');
		}
	}
			
	elseif($general_google_font == 1 && $headings_google_font == 0 && $menu_google_font == 1) {
		if($submenu_google_font_family !== $general_google_font_family && $submenu_google_font_family !== $menu_google_font_family) {
			$doc->addStyleSheet('http://fonts.googleapis.com/css?family='.$submenu_google_font_family.'');
		}
	}
					
	elseif($general_google_font == 1 && $headings_google_font == 0 && $menu_google_font == 0) {
		if($submenu_google_font_family !== $general_google_font_family) {
			$doc->addStyleSheet('http://fonts.googleapis.com/css?family='.$submenu_google_font_family.'');
		}
	}
					
	elseif($general_google_font == 0 && $headings_google_font == 1 && $menu_google_font == 1) {
		if($submenu_google_font_family !== $headings_google_font_family && $submenu_google_font_family !== $menu_google_font_family) {
			$doc->addStyleSheet('http://fonts.googleapis.com/css?family='.$submenu_google_font_family.'');
		}
	}
					
	elseif($general_google_font == 0 && $headings_google_font == 1 && $menu_google_font == 0) {
		if($submenu_google_font_family !== $headings_google_font_family) {
			$doc->addStyleSheet('http://fonts.googleapis.com/css?family='.$submenu_google_font_family.'');
		}
	}
					
	elseif($general_google_font == 0 && $headings_google_font == 0 && $menu_google_font == 1) {
		if($submenu_google_font_family !== $menu_google_font_family) {
			$doc->addStyleSheet('http://fonts.googleapis.com/css?family='.$submenu_google_font_family.'');
		}
	}
			
	else {
		$doc->addStyleSheet('http://fonts.googleapis.com/css?family='.$submenu_google_font_family.'');
	}
	$submenu_font = $submenu_google_font_family_white_space;
	
}
else {
	$submenu_font = $submenu_font_family;	
}





/*-----------------------------------------------------------------------------------*/
/*	Google fonts style decslaration
/*-----------------------------------------------------------------------------------*/
//general fonts
$doc->addStyleDeclaration('body,.inputbox,input,textarea,button,.button,.btn{font-family:'.$general_font.';font-size:'.$general_font_size.';}');



//headings 
$doc->addStyleDeclaration('h1,h2,h3,h4,h5,h6{font-family:'.$headings_font.';font-weight:'.$headings_font_weight.';text-transform:'.$headings_text_transform.';font-style:'.$headings_font_style.';}
h1{font-size:'.$h1_font_size.';}
h2{font-size:'.$h2_font_size.';}
h3{font-size:'.$h3_font_size.';}
h4{font-size:'.$h4_font_size.';}
h5{font-size:'.$h5_font_size.';}
h6{font-size:'.$h6_font_size.';}');



//menu
$doc->addStyleDeclaration('#navigation .sf-menu a{font-family:'.$menu_font.';font-weight:'.$menu_font_weight.';text-transform:'.$menu_text_transform.';font-style:'.$menu_font_style.';font-size:'.$menu_font_size.';}');


//submenu
$doc->addStyleDeclaration('#navigation .sf-menu li li a{font-family:'.$submenu_font.';font-weight:'.$submenu_font_weight.';text-transform:'.$submenu_text_transform.';font-style:'.$submenu_font_style.';font-size:'.$submenu_font_size.';}');