<?php
/**
 * @package     Joomla.Site
 * @subpackage  Aquilo Template
 */
  
defined('_JEXEC') or die;

//define path
$base_url = $this->baseurl;
$tpl_name = $this->template;
$styles_url = ''.$base_url.'/templates/'.$tpl_name.'/styles/';
$scripts_url = ''.$base_url.'/templates/'.$tpl_name.'/scripts/';
$framework = 'templates/'.$tpl_name.'/framework/';

//load parameters from template
$analytics = $this->params->get('analytics');

require_once ($framework.'blocks/head.php');
?>

<body>
	<div id="page-container">  	
        
        <!-- start page top container -->
        <div id="page-container-top">
        	<?php require_once ($framework.'blocks/header.php');?>                 
            <?php 				
				require_once ($framework.'blocks/slider.php');
				require_once ($framework.'blocks/page-heading.php');				
				require_once ($framework.'blocks/feature.php'); 
			?>                   
        </div>
        <!-- //end page top container -->        
        
        <!-- start page middle container -->
        <div id="page-container-middle">
        	<?php 
				require_once ($framework.'blocks/before-content.php');
        		require_once ($framework.'blocks/main-content.php');
         		require_once ($framework.'blocks/after-content.php'); 
		 	?>
        </div>
        <!-- //end page middle container -->        
        
        <!-- start page bottom container -->
        <div id="page-container-bottom">
        	<?php 
				require_once ($framework.'blocks/bottom.php'); 
				require_once ($framework.'blocks/footer.php');
			?>
        </div>
        <!-- //end page bottom container -->         
        
    </div>   
    
    <?php echo $analytics; 	
	require_once ('templates/'.$tpl_name.'/scripts/demo/demo.php');
	?>      
 
</body>
</html>