<?php
/**
 * @package     Joomla.Site
 * @subpackage  Aquilo Template
 */


defined('_JEXEC') or die;


//before-content modules columns
$after_content_a = $this->countModules('after-content-a');
$after_content_b = $this->countModules('after-content-b');
$after_content_c = $this->countModules('after-content-c');
$after_content_d = $this->countModules('after-content-d');

//columns layout
$after_content_four_columns_layout = $this->params->get('after_content_four_columns_layout');
$after_content_three_columns_layout = $this->params->get('after_content_three_columns_layout');
$after_content_two_columns_layout = $this->params->get('after_content_two_columns_layout');




//four columns grid
if ($after_content_four_columns_layout=='6,6,6,6') {
	$grid_4col_1 = 'grid_6';
	$grid_4col_2 = 'grid_6';
	$grid_4col_3 = 'grid_6';
	$grid_4col_4 = 'grid_6';
}
elseif ($after_content_four_columns_layout=='12,4,4,4') {
	$grid_4col_1 = 'grid_12';
	$grid_4col_2 = 'grid_4';
	$grid_4col_3 = 'grid_4';
	$grid_4col_4 = 'grid_4';
}
elseif ($after_content_four_columns_layout=='4,4,4,12') {
	$grid_4col_1 = 'grid_4';
	$grid_4col_2 = 'grid_4';
	$grid_4col_3 = 'grid_4';
	$grid_4col_4 = 'grid_12';
}
elseif ($after_content_four_columns_layout=='4,12,4,4') {
	$grid_4col_1 = 'grid_4';
	$grid_4col_2 = 'grid_12';
	$grid_4col_3 = 'grid_4';
	$grid_4col_4 = 'grid_4';
}
elseif ($after_content_four_columns_layout=='4,4,12,4') {
	$grid_4col_1 = 'grid_4';
	$grid_4col_2 = 'grid_4';
	$grid_4col_3 = 'grid_12';
	$grid_4col_4 = 'grid_4';
}
elseif ($after_content_four_columns_layout=='9,5,5,5') {
	$grid_4col_1 = 'grid_9';
	$grid_4col_2 = 'grid_5';
	$grid_4col_3 = 'grid_5';
	$grid_4col_4 = 'grid_5';
}
elseif ($after_content_four_columns_layout=='5,5,5,9') {
	$grid_4col_1 = 'grid_5';
	$grid_4col_2 = 'grid_5';
	$grid_4col_3 = 'grid_5';
	$grid_4col_4 = 'grid_9';
}
elseif ($after_content_four_columns_layout=='5,9,5,5') {
	$grid_4col_1 = 'grid_5';
	$grid_4col_2 = 'grid_9';
	$grid_4col_3 = 'grid_5';
	$grid_4col_4 = 'grid_5';
}
elseif ($after_content_four_columns_layout=='5,5,9,5') {
	$grid_4col_1 = 'grid_5';
	$grid_4col_2 = 'grid_5';
	$grid_4col_3 = 'grid_9';
	$grid_4col_4 = 'grid_5';
}




//three columns grid
if ($after_content_three_columns_layout=='8,8,8') {
	$grid_3col_1 = 'grid_8';
	$grid_3col_2 = 'grid_8';
	$grid_3col_3 = 'grid_8';
}
elseif ($after_content_three_columns_layout=='12,6,6'){
	$grid_3col_1 = 'grid_12';
	$grid_3col_2 = 'grid_6';
	$grid_3col_3 = 'grid_6';
}
elseif ($after_content_three_columns_layout=='6,12,6'){
	$grid_3col_1 = 'grid_6';
	$grid_3col_2 = 'grid_12';
	$grid_3col_3 = 'grid_6';
}
elseif ($after_content_three_columns_layout=='6,6,12'){
	$grid_3col_1 = 'grid_6';
	$grid_3col_2 = 'grid_6';
	$grid_3col_3 = 'grid_12';
}
elseif ($after_content_three_columns_layout=='8,6,10'){
	$grid_3col_1 = 'grid_8';
	$grid_3col_2 = 'grid_6';
	$grid_3col_3 = 'grid_10';
}
elseif ($after_content_three_columns_layout=='10,6,8'){
	$grid_3col_1 = 'grid_10';
	$grid_3col_2 = 'grid_6';
	$grid_3col_3 = 'grid_8';
}




//two columns grid
if ($after_content_two_columns_layout=='12,12') {
	$grid_2col_1 = 'grid_12';
	$grid_2col_2 = 'grid_12';
}
elseif ($after_content_two_columns_layout=='18,6') {
	$grid_2col_1 = 'grid_18';
	$grid_2col_2 = 'grid_6';
}
elseif ($after_content_two_columns_layout=='6,18') {
	$grid_2col_1 = 'grid_6';
	$grid_2col_2 = 'grid_18';
}
elseif ($after_content_two_columns_layout=='16,8') {
	$grid_2col_1 = 'grid_16';
	$grid_2col_2 = 'grid_8';
}
elseif ($after_content_two_columns_layout=='8,16') {
	$grid_2col_1 = 'grid_8';
	$grid_2col_2 = 'grid_16';
}


if ($after_content_a || $after_content_b || $after_content_c || $after_content_d ){
?>


<section id="after-content">
	<div class="container">
    <div class="clear separator"></div>
		
		
		
				
		<?php /*four columns modules*/ 
		if ($after_content_a && $after_content_b && $after_content_c && $after_content_d) { ?>		
			<div class="<?php echo $grid_4col_1; ?>"><div class="block"><jdoc:include type="modules" name="after-content-a" style="block" /></div></div>
			<div class="<?php echo $grid_4col_2; ?>"><div class="block"><jdoc:include type="modules" name="after-content-b" style="block" /></div></div>
			<div class="<?php echo $grid_4col_3; ?>"><div class="block"><jdoc:include type="modules" name="after-content-c" style="block" /></div></div>
			<div class="<?php echo $grid_4col_4; ?>"><div class="block"><jdoc:include type="modules" name="after-content-d" style="block" /></div></div>				
			



			
		<?php /*three columns modules*/ 
		}
		elseif (!$after_content_a && $after_content_b && $after_content_c && $after_content_d) { ?>
			<div class="<?php echo $grid_3col_1; ?>"><div class="block"><jdoc:include type="modules" name="after-content-b" style="block" /></div></div>
			<div class="<?php echo $grid_3col_2; ?>"><div class="block"><jdoc:include type="modules" name="after-content-c" style="block" /></div></div>
			<div class="<?php echo $grid_3col_3; ?>"><div class="block"><jdoc:include type="modules" name="after-content-d" style="block" /></div></div>		
		<?php 
		}
		elseif ($after_content_a && !$after_content_b && $after_content_c && $after_content_d) { ?>
			<div class="<?php echo $grid_3col_1; ?>"><div class="block"><jdoc:include type="modules" name="after-content-a" style="block" /></div></div>
			<div class="<?php echo $grid_3col_2; ?>"><div class="block"><jdoc:include type="modules" name="after-content-c" style="block" /></div></div>
			<div class="<?php echo $grid_3col_3; ?>"><div class="block"><jdoc:include type="modules" name="after-content-d" style="block" /></div></div>		
		<?php 
		}
		elseif ($after_content_a && $after_content_b && !$after_content_c && $after_content_d) { ?>
			<div class="<?php echo $grid_3col_1; ?>"><div class="block"><jdoc:include type="modules" name="after-content-a" style="block" /></div></div>
			<div class="<?php echo $grid_3col_2; ?>"><div class="block"><jdoc:include type="modules" name="after-content-b" style="block" /></div></div>
			<div class="<?php echo $grid_3col_3; ?>"><div class="block"><jdoc:include type="modules" name="after-content-d" style="block" /></div></div>		
		<?php
		}
		elseif ($after_content_a && $after_content_b && $after_content_c && !$after_content_d) { ?>
			<div class="<?php echo $grid_3col_1; ?>"><div class="block"><jdoc:include type="modules" name="after-content-a" style="block" /></div></div>
			<div class="<?php echo $grid_3col_2; ?>"><div class="block"><jdoc:include type="modules" name="after-content-b" style="block" /></div></div>
			<div class="<?php echo $grid_3col_3; ?>"><div class="block"><jdoc:include type="modules" name="after-content-c" style="block" /></div></div>	
				
		
		
		
		
		
		<?php /*two columns modules*/
		}
		elseif (!$after_content_a && !$after_content_b && $after_content_c && $after_content_d) { ?>
			<div class="<?php echo $grid_2col_1; ?>"><div class="block"><jdoc:include type="modules" name="after-content-c" style="block" /></div></div>
			<div class="<?php echo $grid_2col_2; ?>"><div class="block"><jdoc:include type="modules" name="after-content-d" style="block" /></div></div>			
		<?php
		}
		elseif (!$after_content_a && $after_content_b && !$after_content_c && $after_content_d) { ?>
			<div class="<?php echo $grid_2col_1; ?>"><div class="block"><jdoc:include type="modules" name="after-content-b" style="block" /></div></div>
			<div class="<?php echo $grid_2col_2; ?>"><div class="block"><jdoc:include type="modules" name="after-content-d" style="block" /></div></div>		
		<?php 
		}
		elseif (!$after_content_a && $after_content_b && $after_content_c && !$after_content_d) { ?>
			<div class="<?php echo $grid_2col_1; ?>"><div class="block"><jdoc:include type="modules" name="after-content-b" style="block" /></div></div>
			<div class="<?php echo $grid_2col_2; ?>"><div class="block"><jdoc:include type="modules" name="after-content-c" style="block" /></div></div>		
		<?php 
		}
		elseif ($after_content_a && !$after_content_b && $after_content_c && !$after_content_d) { ?>
			<div class="<?php echo $grid_2col_1; ?>"><div class="block"><jdoc:include type="modules" name="after-content-a" style="block" /></div></div>
			<div class="<?php echo $grid_2col_2; ?>"><div class="block"><jdoc:include type="modules" name="after-content-c" style="block" /></div></div>		
		<?php 
		}
		elseif ($after_content_a && $after_content_b && !$after_content_c && !$after_content_d) { ?>
			<div class="<?php echo $grid_2col_1; ?>"><div class="block"><jdoc:include type="modules" name="after-content-a" style="block" /></div></div>
			<div class="<?php echo $grid_2col_2; ?>"><div class="block"><jdoc:include type="modules" name="after-content-b" style="block" /></div></div>		
		<?php 
		} elseif ($after_content_a && !$after_content_b && !$after_content_c && $after_content_d) { ?>
			<div class="<?php echo $grid_2col_1; ?>"><div class="block"><jdoc:include type="modules" name="after-content-a" style="block" /></div></div>
			<div class="<?php echo $grid_2col_2; ?>"><div class="block"><jdoc:include type="modules" name="after-content-d" style="block" /></div></div>
			
			
		
		
		
		
		
		<?php /*one column modules*/
		}
		elseif ($after_content_a && !$after_content_b && !$after_content_c && !$after_content_d) { ?>
			<div class="grid_24"><div class="block"><jdoc:include type="modules" name="after-content-a" style="block" /></div></div>		
		<?php 
		}
		elseif (!$after_content_a && $after_content_b && !$after_content_c && !$after_content_d) { ?>
			<div class="grid_24"><div class="block"><jdoc:include type="modules" name="after-content-b" style="block" /></div></div>		
		<?php 
		}
		elseif (!$after_content_a && !$after_content_b && $after_content_c && !$after_content_d) { ?>
			<div class="grid_24"><div class="block"><jdoc:include type="modules" name="after-content-c" style="block" /></div></div>			
		<?php 
		}
		elseif (!$after_content_a && !$after_content_b && !$after_content_c && $after_content_d) { ?>
			<div class="grid_24"><div class="block"><jdoc:include type="modules" name="after-content-d" style="block" /></div></div>
			
		<?php } ?>
		
		<div class="clear"></div>
	</div>	
</section>

<?php } ?>