<?php
/**
 * @package     Joomla.Site
 * @subpackage  Aquilo Template
 */


defined('_JEXEC') or die;


//before-content modules columns
$feature_a = $this->countModules('feature-a');
$feature_b = $this->countModules('feature-b');
$feature_c = $this->countModules('feature-c');
$feature_d = $this->countModules('feature-d');

//columns layout
$feature_four_columns_layout = $this->params->get('feature_four_columns_layout');
$feature_three_columns_layout = $this->params->get('feature_three_columns_layout');
$feature_two_columns_layout = $this->params->get('feature_two_columns_layout');




//four columns grid
if ($feature_four_columns_layout=='6,6,6,6') {
	$grid_4col_1 = 'grid_6';
	$grid_4col_2 = 'grid_6';
	$grid_4col_3 = 'grid_6';
	$grid_4col_4 = 'grid_6';
}
elseif ($feature_four_columns_layout=='12,4,4,4') {
	$grid_4col_1 = 'grid_12';
	$grid_4col_2 = 'grid_4';
	$grid_4col_3 = 'grid_4';
	$grid_4col_4 = 'grid_4';
}
elseif ($feature_four_columns_layout=='4,4,4,12') {
	$grid_4col_1 = 'grid_4';
	$grid_4col_2 = 'grid_4';
	$grid_4col_3 = 'grid_4';
	$grid_4col_4 = 'grid_12';
}
elseif ($feature_four_columns_layout=='4,12,4,4') {
	$grid_4col_1 = 'grid_4';
	$grid_4col_2 = 'grid_12';
	$grid_4col_3 = 'grid_4';
	$grid_4col_4 = 'grid_4';
}
elseif ($feature_four_columns_layout=='4,4,12,4') {
	$grid_4col_1 = 'grid_4';
	$grid_4col_2 = 'grid_4';
	$grid_4col_3 = 'grid_12';
	$grid_4col_4 = 'grid_4';
}
elseif ($feature_four_columns_layout=='9,5,5,5') {
	$grid_4col_1 = 'grid_9';
	$grid_4col_2 = 'grid_5';
	$grid_4col_3 = 'grid_5';
	$grid_4col_4 = 'grid_5';
}
elseif ($feature_four_columns_layout=='5,5,5,9') {
	$grid_4col_1 = 'grid_5';
	$grid_4col_2 = 'grid_5';
	$grid_4col_3 = 'grid_5';
	$grid_4col_4 = 'grid_9';
}
elseif ($feature_four_columns_layout=='5,9,5,5') {
	$grid_4col_1 = 'grid_5';
	$grid_4col_2 = 'grid_9';
	$grid_4col_3 = 'grid_5';
	$grid_4col_4 = 'grid_5';
}
elseif ($feature_four_columns_layout=='5,5,9,5') {
	$grid_4col_1 = 'grid_5';
	$grid_4col_2 = 'grid_5';
	$grid_4col_3 = 'grid_9';
	$grid_4col_4 = 'grid_5';
}




//three columns grid
if ($feature_three_columns_layout=='8,8,8') {
	$grid_3col_1 = 'grid_8';
	$grid_3col_2 = 'grid_8';
	$grid_3col_3 = 'grid_8';
}
elseif ($feature_three_columns_layout=='12,6,6'){
	$grid_3col_1 = 'grid_12';
	$grid_3col_2 = 'grid_6';
	$grid_3col_3 = 'grid_6';
}
elseif ($feature_three_columns_layout=='6,12,6'){
	$grid_3col_1 = 'grid_6';
	$grid_3col_2 = 'grid_12';
	$grid_3col_3 = 'grid_6';
}
elseif ($feature_three_columns_layout=='6,6,12'){
	$grid_3col_1 = 'grid_6';
	$grid_3col_2 = 'grid_6';
	$grid_3col_3 = 'grid_12';
}
elseif ($feature_three_columns_layout=='8,6,10'){
	$grid_3col_1 = 'grid_8';
	$grid_3col_2 = 'grid_6';
	$grid_3col_3 = 'grid_10';
}
elseif ($feature_three_columns_layout=='10,6,8'){
	$grid_3col_1 = 'grid_10';
	$grid_3col_2 = 'grid_6';
	$grid_3col_3 = 'grid_8';
}




//two columns grid
if ($feature_two_columns_layout=='12,12') {
	$grid_2col_1 = 'grid_12';
	$grid_2col_2 = 'grid_12';
}
elseif ($feature_two_columns_layout=='18,6') {
	$grid_2col_1 = 'grid_18';
	$grid_2col_2 = 'grid_6';
}
elseif ($feature_two_columns_layout=='6,18') {
	$grid_2col_1 = 'grid_6';
	$grid_2col_2 = 'grid_18';
}
elseif ($feature_two_columns_layout=='16,8') {
	$grid_2col_1 = 'grid_16';
	$grid_2col_2 = 'grid_8';
}
elseif ($feature_two_columns_layout=='8,16') {
	$grid_2col_1 = 'grid_8';
	$grid_2col_2 = 'grid_16';
}


if ($feature_a || $feature_b || $feature_c || $feature_d ){
?>

<!-- start feature -->
<section id="feature">
	<div class="container">
		
		
		
				
		<?php /*four columns modules*/ 
		if ($feature_a && $feature_b && $feature_c && $feature_d) { ?>		
			<div class="<?php echo $grid_4col_1; ?>"><div class="block"><jdoc:include type="modules" name="feature-a" style="block" /></div></div>
			<div class="<?php echo $grid_4col_2; ?>"><div class="block"><jdoc:include type="modules" name="feature-b" style="block" /></div></div>
			<div class="<?php echo $grid_4col_3; ?>"><div class="block"><jdoc:include type="modules" name="feature-c" style="block" /></div></div>
			<div class="<?php echo $grid_4col_4; ?>"><div class="block"><jdoc:include type="modules" name="feature-d" style="block" /></div></div>				
			



			
		<?php /*three columns modules*/ 
		}
		elseif (!$feature_a && $feature_b && $feature_c && $feature_d) { ?>
			<div class="<?php echo $grid_3col_1; ?>"><div class="block"><jdoc:include type="modules" name="feature-b" style="block" /></div></div>
			<div class="<?php echo $grid_3col_2; ?>"><div class="block"><jdoc:include type="modules" name="feature-c" style="block" /></div></div>
			<div class="<?php echo $grid_3col_3; ?>"><div class="block"><jdoc:include type="modules" name="feature-d" style="block" /></div></div>		
		<?php 
		}
		elseif ($feature_a && !$feature_b && $feature_c && $feature_d) { ?>
			<div class="<?php echo $grid_3col_1; ?>"><div class="block"><jdoc:include type="modules" name="feature-a" style="block" /></div></div>
			<div class="<?php echo $grid_3col_2; ?>"><div class="block"><jdoc:include type="modules" name="feature-c" style="block" /></div></div>
			<div class="<?php echo $grid_3col_3; ?>"><div class="block"><jdoc:include type="modules" name="feature-d" style="block" /></div></div>		
		<?php 
		}
		elseif ($feature_a && $feature_b && !$feature_c && $feature_d) { ?>
			<div class="<?php echo $grid_3col_1; ?>"><div class="block"><jdoc:include type="modules" name="feature-a" style="block" /></div></div>
			<div class="<?php echo $grid_3col_2; ?>"><div class="block"><jdoc:include type="modules" name="feature-b" style="block" /></div></div>
			<div class="<?php echo $grid_3col_3; ?>"><div class="block"><jdoc:include type="modules" name="feature-d" style="block" /></div></div>		
		<?php
		}
		elseif ($feature_a && $feature_b && $feature_c && !$feature_d) { ?>
			<div class="<?php echo $grid_3col_1; ?>"><div class="block"><jdoc:include type="modules" name="feature-a" style="block" /></div></div>
			<div class="<?php echo $grid_3col_2; ?>"><div class="block"><jdoc:include type="modules" name="feature-b" style="block" /></div></div>
			<div class="<?php echo $grid_3col_3; ?>"><div class="block"><jdoc:include type="modules" name="feature-c" style="block" /></div></div>	
				
		
		
		
		
		
		<?php /*two columns modules*/
		}
		elseif (!$feature_a && !$feature_b && $feature_c && $feature_d) { ?>
			<div class="<?php echo $grid_2col_1; ?>"><div class="block"><jdoc:include type="modules" name="feature-c" style="block" /></div></div>
			<div class="<?php echo $grid_2col_2; ?>"><div class="block"><jdoc:include type="modules" name="feature-d" style="block" /></div></div>			
		<?php
		}
		elseif (!$feature_a && $feature_b && !$feature_c && $feature_d) { ?>
			<div class="<?php echo $grid_2col_1; ?>"><div class="block"><jdoc:include type="modules" name="feature-b" style="block" /></div></div>
			<div class="<?php echo $grid_2col_2; ?>"><div class="block"><jdoc:include type="modules" name="feature-d" style="block" /></div></div>		
		<?php 
		}
		elseif (!$feature_a && $feature_b && $feature_c && !$feature_d) { ?>
			<div class="<?php echo $grid_2col_1; ?>"><div class="block"><jdoc:include type="modules" name="feature-b" style="block" /></div></div>
			<div class="<?php echo $grid_2col_2; ?>"><div class="block"><jdoc:include type="modules" name="feature-c" style="block" /></div></div>		
		<?php 
		}
		elseif ($feature_a && !$feature_b && $feature_c && !$feature_d) { ?>
			<div class="<?php echo $grid_2col_1; ?>"><div class="block"><jdoc:include type="modules" name="feature-a" style="block" /></div></div>
			<div class="<?php echo $grid_2col_2; ?>"><div class="block"><jdoc:include type="modules" name="feature-c" style="block" /></div></div>		
		<?php 
		}
		elseif ($feature_a && $feature_b && !$feature_c && !$feature_d) { ?>
			<div class="<?php echo $grid_2col_1; ?>"><div class="block"><jdoc:include type="modules" name="feature-a" style="block" /></div></div>
			<div class="<?php echo $grid_2col_2; ?>"><div class="block"><jdoc:include type="modules" name="feature-b" style="block" /></div></div>		
		<?php 
		} elseif ($feature_a && !$feature_b && !$feature_c && $feature_d) { ?>
			<div class="<?php echo $grid_2col_1; ?>"><div class="block"><jdoc:include type="modules" name="feature-a" style="block" /></div></div>
			<div class="<?php echo $grid_2col_2; ?>"><div class="block"><jdoc:include type="modules" name="feature-d" style="block" /></div></div>
			
			
		
		
		
		
		
		<?php /*one column modules*/
		}
		elseif ($feature_a && !$feature_b && !$feature_c && !$feature_d) { ?>
			<div class="grid_24"><div class="block"><jdoc:include type="modules" name="feature-a" style="block" /></div></div>		
		<?php 
		}
		elseif (!$feature_a && $feature_b && !$feature_c && !$feature_d) { ?>
			<div class="grid_24"><div class="block"><jdoc:include type="modules" name="feature-b" style="block" /></div></div>		
		<?php 
		}
		elseif (!$feature_a && !$feature_b && $feature_c && !$feature_d) { ?>
			<div class="grid_24"><div class="block"><jdoc:include type="modules" name="feature-c" style="block" /></div></div>			
		<?php 
		}
		elseif (!$feature_a && !$feature_b && !$feature_c && $feature_d) { ?>
			<div class="grid_24"><div class="block"><jdoc:include type="modules" name="feature-d" style="block" /></div></div>
			
		<?php } ?>
		
		<div class="clear separator"></div>
	</div>	
</section>

<?php } ?>