<?php
/**
 * @package     Joomla.Site
 * @subpackage  Aquilo Template
 */

defined('_JEXEC') or die;


$page_heading = $this->countModules('page-heading');
$breadcrumb = $this->countModules('breadcrumb');
$search = $this->countModules('search');
$page_title = $this->getTitle();
$page_title_on = $this->params->get('page_title_on');



//define block width for breadcrumb
if($page_heading || $page_title_on == 1 && $search){
	$breadcrumb_class ='grid_9';
}
elseif($page_heading || $page_title_on == 1 && !$search){
	$breadcrumb_class ='grid_14';
}
elseif(!$page_heading || $page_title_on == 0 && $search){
	$breadcrumb_class ='grid_19';
}
elseif(!$page_heading || $page_title_on == 0 && !$search){
	$breadcrumb_class ='grid_24';
}




if($page_heading || $breadcrumb || $search || $page_title_on){ 
?>

<section id="page-heading">
	<div class="container">
		
		<?php if($page_heading || $page_title_on == 1){?>
        	<div class="grid_10">
            	<div class="block">                	
                    <?php if(!$page_heading && $page_title_on == 1){?>
                    	<h1 class="page-title"><?php echo $page_title; ?></h1>
                    <?php } elseif($page_heading) {?>                    
                    	<jdoc:include type="modules" name="page-heading" style="none" />
                     <?php } ?>
                </div>
            </div>        
        <?php } ?>
        
        <?php if($breadcrumb){?>
        	<div class="<?php echo $breadcrumb_class; ?>">
            	<div class="block">
                	<jdoc:include type="modules" name="breadcrumb" style="none" />
                </div>
            </div>        
        <?php } ?>
        
        <?php if($search){?>
        	<div class="grid_5">
            	<div class="block">
                	<jdoc:include type="modules" name="search" style="none" />
                </div>
            </div>        
        <?php } ?>	

	<div class="clear"></div>
	</div>	
</section>

<?php
}
?>