<?php
/**
 * @version		$Id: register.php 1206 2011-10-17 21:09:08Z joomlaworks $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.gr
 * @copyright	Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

?>

<!-- K2 user register form -->
<?php if(isset($this->message)) $this->display('message'); ?>

<form action="<?php echo JRoute::_('index.php'); ?>" enctype="multipart/form-data" method="post" id="josForm" name="josForm" class="form-validate">
	<?php if($this->params->def('show_page_title',1)): ?>
	<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
		<h1><?php echo $this->escape($this->params->get('page_title')); ?></h1>
	</div>
	<?php endif; ?>
	<div id="k2Container" class="k2AccountPage">
		<ul class="registration-list" cellpadding="0" cellspacing="0">
			<?php /*
			<li>				
				<?php echo JText::_('K2_ACCOUNT_DETAILS'); ?>				
			</li>
			*/?>
			<li>
				<label id="namemsg" for="name"><?php echo JText::_('K2_NAME'); ?></label>
				<input type="text" name="<?php echo (K2_JVERSION=='16')?'jform[name]':'name'?>" id="name" size="40" value="<?php echo $this->escape($this->user->get( 'name' )); ?>" class="inputbox required" maxlength="50" /> *				
			</li>
			<li>
				<label id="usernamemsg" for="username"><?php echo JText::_('K2_USER_NAME'); ?></label>
				<input type="text" id="username" name="<?php echo (K2_JVERSION=='16')?'jform[username]':'username'?>" size="40" value="<?php echo $this->escape($this->user->get( 'username' )); ?>" class="inputbox required validate-username" maxlength="25" />
					*
			</li>
			<li>
				<label id="emailmsg" for="email"><?php echo JText::_('K2_EMAIL'); ?></label>
				<input type="text" id="email" name="<?php echo (K2_JVERSION=='16')?'jform[email1]':'email'?>" size="40" value="<?php echo $this->escape($this->user->get( 'email' )); ?>" class="inputbox required validate-email" maxlength="100" />
					*
			</li>
			<?php if(K2_JVERSION == '16'): ?>
			<li>
				<label id="email2msg" for="email2"><?php echo JText::_('K2_CONFIRM_EMAIL'); ?></label>
				<input type="text" id="email2" name="jform[email2]" size="40" value="" class="inputbox required validate-email" maxlength="100" />
					*
			</li>
			<?php endif; ?>
			<li>
				<label id="pwmsg" for="password"><?php echo JText::_('K2_PASSWORD'); ?></label>
				<input class="inputbox required validate-password" type="password" id="password" name="<?php echo (K2_JVERSION=='16')?'jform[password1]':'password'?>" size="40" value="" />
					*
			</li>
			<li>
				<label id="pw2msg" for="password2"><?php echo JText::_('K2_VERIFY_PASSWORD'); ?></label>
				<input class="inputbox required validate-passverify" type="password" id="password2" name="<?php echo (K2_JVERSION=='16')?'jform[password2]':'password2'?>" size="40" value="" />
					*
			</li>
			<?php /*
			<li>
				<?php echo JText::_('K2_PERSONAL_DETAILS'); ?>
			</li>
			*/?>
			<!-- K2 attached fields -->
			<li class="gendermsg">
				<label id="gendermsg" for="gender"><?php echo JText::_('K2_GENDER'); ?></label>:
				<?php echo $this->lists['gender']; ?>
			</li>
			<li class="description">
				<label id="descriptionmsg" for="description"><?php echo JText::_('K2_DESCRIPTION'); ?></label>
				<?php echo $this->editor; ?>
			</li>
			<li>
				<label id="imagemsg" for="image"><?php echo JText::_( 'K2_USER_IMAGE_AVATAR' ); ?></label>
				
				<input type="file" id="image" name="image"/>
				<?php if ($this->K2User->image): ?>
					<img class="k2AdminImage" src="<?php echo JURI::root().'media/k2/users/'.$this->K2User->image; ?>" alt="<?php echo $this->user->name; ?>" />
					<input type="checkbox" name="del_image" id="del_image" />
					<label for="del_image"><?php echo JText::_('K2_CHECK_THIS_BOX_TO_DELETE_CURRENT_IMAGE_OR_JUST_UPLOAD_A_NEW_IMAGE_TO_REPLACE_THE_EXISTING_ONE'); ?></label>
				<?php endif; ?>
			</li>
			<li>
				<label id="urlmsg" for="url"><?php echo JText::_('K2_URL'); ?></label>
				<input type="text" size="50" value="<?php echo $this->K2User->url; ?>" name="url" id="url"/>
			</li>
			<?php if(count(array_filter($this->K2Plugins))): ?>
			<!-- K2 Plugin attached fields -->
			<li>
				<?php echo JText::_('K2_ADDITIONAL_DETAILS'); ?>
			</li>
			<?php foreach ($this->K2Plugins as $K2Plugin): ?>
			<?php if(!is_null($K2Plugin)): ?>
			<li>
				<?php echo $K2Plugin->fields; ?>
			</li>
			<?php endif; ?>
			<?php endforeach; ?>
			<?php endif; ?>
			
			<?php if($this->K2Params->get('recaptchaOnRegistration') && $this->K2Params->get('recaptcha_public_key')): ?>
			<li>
			<label class="formRecaptcha"><?php echo JText::_('K2_ENTER_THE_TWO_WORDS_YOU_SEE_BELOW'); ?></label>
			<div id="recaptcha"></div>
			</li>
			<?php endif; ?>
			
			<li>
			<span class="rquired"><?php echo JText::_('K2_REGISTER_REQUIRED'); ?></span>
			</li>
			
			<li>
			<button class="button validate" type="submit"><?php echo JText::_('K2_REGISTER'); ?></button>
			</li>
			
			
		</ul>		
		
	</div>
	<input type="hidden" name="option" value="<?php echo (K2_JVERSION=='16')?'com_users':'com_user'?>" />
	<input type="hidden" name="task" value="<?php echo (K2_JVERSION=='16')?'registration.register':'register_save'?>" />
	<input type="hidden" name="id" value="0" />
	<input type="hidden" name="gid" value="0" />
	<input type="hidden" name="K2UserForm" value="1" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
