/**
 * @package     Joomla.Site
 * @subpackage  Aquilo Template
 */


/*-----------------------------------------------------------------------------------*/
/*	Superfish menu
/*-----------------------------------------------------------------------------------*/
jQuery(function(){
	jQuery('ul.sf-menu').superfish({		
		delay:         800,                	// the delay in milliseconds that the mouse can remain outside a submenu without it closing 
		animation:     {opacity:'show'},   	// an object equivalent to first parameter of jQuery's .animate() method 
		speed:         'fast',           	// speed of the animation. Equivalent to second parameter of jQuery's .animate() method 
		autoArrows:    false,             	// if true, arrow mark-up generated automatically = cleaner source code at expense of initialisation performance 
		dropShadows:   true,               	// completely disable drop shadows by setting this to false 
		disableHI:     false,              	// set to true to disable hoverIntent detection 
		onInit:        function(){},       	// callback function fires once Superfish is initialised – 'this' is the containing ul 
		onBeforeShow:  function(){},       	// callback function fires just before reveal animation begins – 'this' is the ul about to open 
		onShow:        function(){},       	// callback function fires once reveal animation completed – 'this' is the opened ul 
		onHide:        function(){}
	});	
});







/*-----------------------------------------------------------------------------------*/
/*	Mobile menu init
/*-----------------------------------------------------------------------------------*/
jQuery(document).ready(function($) {
	$('#mobile-menu').mobileMenu({
    	defaultText: 'Navigate to...',
    	className: 'select-menu',
    	subMenuDash: '&ndash;&ndash;'
	});
});







/*-----------------------------------------------------------------------------------*/
/*	PrettyPhoto script
/*-----------------------------------------------------------------------------------*/
$(document).ready(function(){
    $("a[rel^='prettyPhoto']").prettyPhoto();
  });