<?php

defined('_JEXEC') or die; 
$doc = JFactory::getDocument();
$base_url = JURI::base();

/*define path to style and scripts*/
$style_url = ''.$base_url.'modules/mod_mbTweets/css';
$js_url = ''.$base_url.'modules/mod_mbTweets/js';


/*load module parameters*/
$jquery = $params->get('jquery');
$jquery_version = $params->get('jquery_version');
$jquery_no_conflict = $params->get('jquery_no_conflict');


$username = $params->get('username');
$avatar_size = $params->get('avatar_size');
$count = $params->get('count');


$join_text_on = $params->get('join_text_on');
if($join_text_on == 1) {
$join_text_on = 'auto';		
}
else {
$join_text_on = '';		
}


$auto_join_text_default = $params->get('auto_join_text_default');
$auto_join_text_ed = $params->get('auto_join_text_ed');
$auto_join_text_ing = $params->get('auto_join_text_ing');
$auto_join_text_reply = $params->get('auto_join_text_reply');
$auto_join_text_url = $params->get('auto_join_text_url');
$loading_text = $params->get('loading_text');
$follow_text = $params->get('follow_text');






/*load styles and scripts*/
$doc->addStyleSheet($style_url.'/style.css');


if($jquery==1){
$doc->addScript('http://ajax.googleapis.com/ajax/libs/jquery/'.$jquery_version.'/jquery.min.js');
}

if($jquery_no_conflict==1){
$doc->addScript($js_url.'/no-conflict.js');
}

$doc->addScript($js_url.'/jquery.tweet.js');
?>

<script type="text/javascript">
    function randomString(length) {
      var chars = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXTZabcdefghiklmnopqrstuvwxyz'.split('');
      var str = '';
      for (var i = 0; i < length; i++) {
        str += chars[Math.floor(Math.random() * chars.length)];
      }
      return str;
    }
    var rnd = randomString(8);

    jQuery(function($) {
      $(".rnd").replaceWith(rnd);     
    });
	jQuery(function($){
        $(".tweet").tweet({
          join_text: "<?php echo $join_text_on; ?>",
          username: "<?php echo $username; ?>",		  
          avatar_size: <?php echo $avatar_size; ?>,
          count: <?php echo $count; ?>,
          auto_join_text_default: " <?php echo $auto_join_text_default; ?> ", 	//we said,
          auto_join_text_ed: " <?php echo $auto_join_text_ed; ?> ", 			//we
          auto_join_text_ing: " <?php echo $auto_join_text_ing; ?> ", 			//we were
          auto_join_text_reply: " <?php echo $auto_join_text_reply; ?> ", 		//we replied
          auto_join_text_url: " <?php echo $auto_join_text_url; ?> ", 			//we were checking out
          loading_text: "<?php echo $loading_text; ?>" 							//loading tweets...
        });
      });
  </script> 
  
<div class='tweet query'></div>
<?php if($follow_text !='') { ?>
<a class="follow-link" href="https://twitter.com/<?php echo $username; ?>"><?php echo $follow_text; ?></a>
<div class="clear"></div>
<?php } ?>